package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.CanteenDevice;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenDeviceDAO {
	int insert(CanteenDevice entity);
	int update(CanteenDevice entity);
	int exist(String id);
	CanteenDevice get(String id);
	int delete(String id);
	CanteenDevice findByDeviceIdAndCanteenId(@Param("deviceId") String deviceId, @Param("canteenId")String canteenId);
	CanteenDevice findByDeviceId(String deviceId);
	List<CanteenDevice> list();
	List<CanteenDevice> search(Map<String,Object> searchParams,List<Sort> sortList);
}